# SoundGroup

SoundGroup : `Instance`

## Overview

SoundGroup은 여러 개의 사운드를 일괄적으로 제어할 수 있는 객체입니다.

Sound를 특정 그룹에 연결할 때는 SoundGroup 속성을 직접 지정해야 하며, 단순히 SoundGroup의 자식 객체로 배치하는 것만으로는 연결되지 않습니다.

Sound가 재생 중일 때 SoundGroup을 변경하거나 SoundGroup의 Volume을 변경해도 바로 적용됩니다.

## Properties

### Volume

`number`

SoundGroup에 포함된 사운드들의 음량에 곱해지는 값으로, 최소 0부터 최대 10까지 지정할 수 있습니다. 해당 배율에 따라 그룹 내 모든 사운드의 출력 볼륨이 비례해 조정됩니다.

Volume이 0이면 이 SoundGroup에 연결된 사운드는 출력되지 않습니다.

#### Code Samples

```lua
local SoundGroup = script.Parent

SoundGroup.Volume = 0.2
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/soundgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
